﻿/// <reference path="../App.js" />
/*global app*/

(function () {
    'use strict';
    Office.initialize = function (reason) {
        $(document).ready(function () {
            app.initialize();
            var item = Office.context.mailbox.item;
            var subjectText = encodeURIComponent(item.subject);
            $.getJSON('https://www.add-in-express.com/search-addin-json.php?q=' + subjectText + '&callback=?', function (data) {
                showResults(data.result);
            });

            $("#searchform").submit(function (event) {
                $('#mainnav').removeClass('in');
                $("#queryresults").empty();
                var searchFor = encodeURIComponent($('#query').val());
                $.getJSON('https://www.add-in-express.com/search-addin-json.php?q=' + searchFor + '&callback=?', function (data) {
                    showResults(data.result);
                });
                event.preventDefault();
            });

            function showResults(jsondata) {
                $('#numresults').html(jsondata.length);
                for (var i = 0; i < jsondata.length; i++) {
                    var item = jsondata[i];
                    $("#queryresults").append('<a href="' + item.link + '" target="_blank" class="list-group-item"><h5 class="list-group-item-heading">' + item.title + '</h5><p class="list-group-item-text">' + item.body + '</p></a>');
                }
            }
        });
    };
})();